scrub-obsolete Package - oss4

Ready changes

Diff

diff --git a/debian/changelog b/debian/changelog
index 558ea89..790fea1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+oss4 (4.2-build2017-3) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since buster:
+    + Build-Depends: Drop versioned constraint on debhelper and tar.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 09 Sep 2021 10:53:41 -0000
+
 oss4 (4.2-build2017-2) unstable; urgency=medium
 
   [ Samuel Thibault ]
diff --git a/debian/control b/debian/control
index bab6f9b..6f36362 100644
--- a/debian/control
+++ b/debian/control
@@ -6,8 +6,8 @@ Uploaders: Sébastien Noel <sebastien@twolife.org>,
            Romain Beauxis <toots@rastageeks.org>,
            Benda Xu <heroxbd@gentoo.org>
 Build-Depends: cdbs,
-               debhelper (>= 10~),
-               tar (>= 1.28),
+               debhelper,
+               tar,
                dkms [linux-any],
                gawk,
                libgtk2.0-dev,

Run locally

Try this locally (using the package):

debcheckout oss4
cd oss4
DEB_UPDATE_CHANGELOG=auto deb-scrub-obsolete

More details

Full run details